using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Tutorial6
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            counter = 0;
            numClicks = 0;
            InitializeComponent();
            timer1.Enabled = true;
            Timer_Echo.Text = "0 : Seconds have passed";
           
            V_Slider_Bar.OrientationToVertical();
        }

        private void Btn_Add_Click(object sender, EventArgs e)
        {
            numClicks++;
            Echo_Area.Text = numClicks.ToString();

        }

        private void Btn_Quit_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void V_Slider_Bar_Scroll(object sender, ScrollEventArgs e)
        {
            
        }

        private void H_Slider_Bar_Scroll(object sender, ScrollEventArgs e)
        {
           
        }

        private void Form1_MouseMove(object sender, MouseEventArgs e)
        {
            Mouse_Echo.Text = "Mouse Move at " + e.X.ToString() + " , " + e.Y.ToString();
        }

        private void Form1_MouseDown(object sender, MouseEventArgs e)
        {
            if (e.Button == MouseButtons.Left)
            {
                Mouse_Echo.Text = "Left Mouse Down at " + e.X.ToString() + " , " + e.Y.ToString();
            }

            if (e.Button == MouseButtons.Right)
            {
                Mouse_Echo.Text = "Right Mouse Down at " + e.X.ToString() + " , " + e.Y.ToString();
            }
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            counter++;
            Timer_Echo.Text = counter.ToString() + " : Seconds have passed";

            if (TIMER_CONTROL_SLIDERS.Checked)
            {
                float hValue = H_Slider_Bar.GetSliderValue();
                if (hValue > 0.01f)
                {
                    H_Slider_Bar.SetSliderValue(hValue - 1.00f);
                    H_Slider_Bar.UpdateText();
                }
                float vValue = V_Slider_Bar.GetSliderValue();
                if (vValue > 0.01f)
                {
                    V_Slider_Bar.SetSliderValue(vValue - 1.00f);
                    V_Slider_Bar.UpdateText();
                }

                if ((hValue < 1.00f) && (vValue < 1.00f))
                {
                    TIMER_CONTROL_SLIDERS.Checked = false;
                }
            }
        }

        private void TIMER_CONTROL_SLIDERS_CheckedChanged(object sender, EventArgs e)
        {

        }

    

     
    }
}